package com.sw.mes.kanban.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.kanban.dto.TotalProductionDto;
import com.sw.mes.kanban.entity.DailyProductionRecord;

import java.text.ParseException;
import java.util.Date;
import java.util.List;
import java.util.Map;


/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface DailyProductionRecordService extends BaseService<DailyProductionRecord> {
    void runDailyProductionRecord(String startTime, String endTime) throws Exception;

    List<TotalProductionDto> findProductionByTime(String startTime, String endTime);


    Map<String,List<Map>> findDaysProductionByTime(String startTime, String endTime);

    void runBatchDailyProductionRecord(String startTime, String endTime) throws Exception;
}
